Subject: Re: bug#8691: 23.2; In fortran 90 mode, f90-indent-subprogram gets confused by bind(c) type definitions

From: Glenn Morris <[email-masked]>
Date: Wed, 18 May 2011 17:21:35 -0400

(Please keep 8691@debbugs included)

James Tappin wrote (on Wed, 18 May 2011 at 15:05 -0600):

> Thanks for the quick response. Unfortunately it's not clear to me
> how to use the patch: I've tried pasting the command and patch into
> the *Scratch* buffer and using "Evaluate defun" without any success.
> Also as far as I can see Ubuntu only provides the compiled emacs
> lisp files (*.elc) or I'd have made a copy and applied the patch.

sudo apt-get install emacs23-el

is probably the right command to get the Lisp sources.

However, rather than patching, it's probably easier to add to your
.emacs:

(eval-after-load "f90"
  '(setq f90-type-def-re "\\<\\(type\\)\\>\\(?:\\(?:[^()\n]*\\|\
.*,[ \t]*bind[ \t]*([ \t]*c[ \t]*)[ \t]*\\)::\\)?[ \t]*\\(\\sw+\\)"))

which should have the same effect.